<?php

/**

* Returns flow player key for the current domain
function flowplayerKey() {}

* Recursively mysqli_real_escape_string of an array values
function mysql_real_escape_array($array) {}

* Database query wrapper function
function dbQuery($query, $cache = true, $cacheTime = 1800, $cacheKey = null, $cacheTable = null, $cacheArgs = array()) {}

* Query debugging function, handles closure storage to display query logs rendered at the end of page output
function debugQuery($mode = 'start', $query = '') {}

* Updates single row (identified by pk)
* @param string $table Table name
* @param array $data Associative array of data to update
* @param string $key Key (primary key by default) to update
* @param string $custom_condition Custom "where" condition, when applied, query does not use $pk
* @param string $unquoted_fields Array of columns where value should not be wrapped in quotes (e.g. for incremented/decremented values)
* @param array $return_row Indicate to return recently updated row
* @return integer Number of affected rows
function dbUpdate($table, $data, $key = 'record_num', $custom_condition = '', $unquoted_fields = array(), $return_row = false) {}

* Inserts new row into table
* @param string $table Table name
* @param array $data Associative array of data to insert
* @param boolean $ignore Uses "ignore" in insert
* @param boolean $duplicate_update Update on duplicate key
* @param array $unquoted_fields Array of fields supposed to be unquoted in query
* @param array $duplicate_skip_fields Array of fields to skip on duplicate-update query
* @param array $return_row Indicate to return recently inserted row
* @return mixed Inserted row id or false
function dbInsert($table, $data, $ignore = false, $duplicate_update = false, $unquoted_fields = array(), $duplicate_skip_fields = array(), $return_row = false) {}

* Deletes row from the table
* @param string $table Table name
* @param array $data Associative array of data to use in "where" condition
* @param boolean $limit If TRUE, sets "LIMIT 1" in delete query
* @param string $key Default key to use in "where" condition
* @return integer Number of deleted rows
function dbDelete($table, $data, $limit = true, $key = 'record_num') {}

function dbRow($query, $cache = false, $cacheTime = 3600, $cacheKey = null) {}

* Returns single value by key
* @param string $query Query string
* @param string $key Column name to return from the query results
* @return mixed Field value or false if results failed
function dbValue($query, $key) {}

* Returns array of values from specific key
* @param string $query Query string
* @param string $key Column name to return results from as array
* @param boolean $cache Is caching enabled for this query?
* @param int $cacheTime Caching time in seconds
* @param string $cacheKey Custom caching ID key
* @return mixed Array of selected column values or null if no results found
function dbFetchKey($query, $key, $cache = true, $cacheTime = 1800, $cacheKey = null) {}

* Returns array of data fetched by the key
* @param string $query Query string
* @param string $key Column name to fetch results by
* @param boolean $cache Is caching enabled for this query?
* @param int $cacheTime Caching time in seconds
* @param string $cacheKey Custom caching ID key
* @return mixed Array of results fetched by selected column or null if no results found
function dbFetchByKey($query, $key, $cache = true, $cacheTime = 1800, $cacheKey = null) {}

* Returns field values from a specific module
function getFieldValues($module, $code) {}

* Converts seconds to human-readable time string
function sec2time($seconds) {}

//deprecated function
function getAdsIndex($channel) {}

* Reconnects current database connection
function dbReconnect() {}

* Calculates aspect ratio in format x:y
function calculate_aspect_ratio($width, $height) {}

* Executes a shell_exec'd background process
function backgroundProcess($command, $log) {}

* Converts XML inoput to multidimensional array
function simpleXMLToArray($xml, $flattenValues = true, $flattenAttributes = true, $flattenChildren = true, $valueKey = '@value', $attributesKey = '@attributes', $childrenKey = '@children') {}

* Returns shuffled array
function custom_shuffle($array = array()) {}

* Returns text with spinned words
function spinText($text) {}

* Stores cache in memcache or filesystem (regarding configuration)
function setCache($key, $object, $time = 3600) {}

* Loads stored cache from memcache or filesystem (regarding configuration)
function getCache($key) {}

* Loads cache data from database table
function loadCache($cacheTable, $cacheKey, $cacheData = null, $cacheTime = 3600) {}

* Generate $length-char length random string from alphanumeric and special characters
function generateSalt($length) {}

*/